org.apache.sling.nosql.couchbase.resourceprovider.impl

## Class CouchbaseNoSqlResourceProviderFactory

- java.lang.Object
- - org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory
  - - org.apache.sling.nosql.couchbase.resourceprovider.impl.CouchbaseNoSqlResourceProviderFactory

All Implemented Interfaces:
  org.apache.sling.api.resource.ResourceProviderFactory

    @Service(value=org.apache.sling.api.resource.ResourceProviderFactory.class)
     @Property(name="webconsole.configurationFactory.nameHint",
              value="Root paths: {provider.roots}")
    public final class CouchbaseNoSqlResourceProviderFactory
    extends org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory

`ResourceProviderFactory` implementation that uses couchbase as persistence.

### Field Summary

Fields
`static String` `COUCHBASE_CLIENT_ID` Couchbase Client ID for Couchbase Resource Provider

### Fields inherited from interface org.apache.sling.api.resource.ResourceProviderFactory

`PROPERTY_REQUIRED, SERVICE_BUNDLE`

### Constructor Summary

Constructors
Constructor and Description
`CouchbaseNoSqlResourceProviderFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.osgi.service.event.EventAdmin` `getEventAdmin()`
`protected org.apache.sling.nosql.generic.adapter.NoSqlAdapter` `getNoSqlAdapter()`

### Methods inherited from class org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory

`getAdministrativeResourceProvider, getResourceProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COUCHBASE_CLIENT_ID

    public static final String COUCHBASE_CLIENT_ID

Couchbase Client ID for Couchbase Resource Provider

See Also:
  Constant Field Values

### Constructor Detail

#### CouchbaseNoSqlResourceProviderFactory

    public CouchbaseNoSqlResourceProviderFactory()

### Method Detail

#### getNoSqlAdapter

    protected org.apache.sling.nosql.generic.adapter.NoSqlAdapter getNoSqlAdapter()

Specified by:
  `getNoSqlAdapter` in class `org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory`

#### getEventAdmin

    protected org.osgi.service.event.EventAdmin getEventAdmin()

Specified by:
  `getEventAdmin` in class `org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory`